.arena-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: auto;
  color: white;
}

.arena-container .my-emotes-container {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-around;
  margin-bottom: 50px;
}

.my-emotes-container .my-emotes-content {
  display: flex;
  flex-direction: column;
  padding: 15px;
  border-radius: 10px;
  background-image: linear-gradient(
    to right,
    #1de5e2 0%,
    #5581f3 15%,
    #1153fc 25%,
    #facd68 33%,
    #fc76b3 67%,
    #b588f7 100%
  );
  background-size: 300% 300%;
  animation: gradient-animation 8s ease infinite;
  margin-bottom: 25px;
  margin-left: 10px;
  margin-right: 10px;
}

.my-emotes-content h2 {
  margin: 0;
  padding: 5px 0 10px 0;
}

.my-emotes-content .image-content,
.emote .image-content {
  position: relative;
}

.my-emotes-content .image-content img {
  width: 350px;
  height: relative;
  border-radius: 10px;
  object-fit: cover;
}

.arena-container .all-emotes-container {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-around;
  margin-bottom: 50px;
}

.all-emotes-container .all-emotes-content {
  display: flex;
  flex-direction: column;
  padding: 15px;
  border-radius: 10px;
  background-image: linear-gradient(
    to right,
    #ff8177 0%,
    #ff867a 0%,
    #ff8c7f 21%,
    #f99185 52%,
    #cf556c 78%,
    #b12a5b 100%
  );
  background-size: 300% 300%;
  animation: gradient-animation 8s ease infinite;
  margin-bottom: 25px;
  margin-left: 10px;
  margin-right: 10px;
}

.all-emotes-content h2 {
  margin: 0;
  padding: 5px 0 10px 0;
}

.all-emotes-content .image-content,
.emote .image-content {
  position: relative;
}

.all-emotes-content .image-content img {
  width: 350px;
  height: relative;
  border-radius: 10px;
  object-fit: cover;
}

.image-content .level-bar {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 30px;
}

.level-bar progress[value] {
  -webkit-appearance: none;
  appearance: none;
  width: 100%;
  height: 100%;
}

.level-bar progress[value]::-webkit-progress-bar {
  background-color: #e5652e;
  border-bottom-left-radius: 15px;
  border-bottom-right-radius: 15px;
  overflow: hidden;
}

.level-bar progress[value]::-webkit-progress-value {
  background-color: #70cb1b;
}

.level-bar p {
  position: absolute;
  width: 100%;
  font-weight: bold;
  color: black;
  bottom: -10px;
}

.arena-container .emotes-container {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: space-around;
}

.emotes-container .emote {
  display: flex;
  flex-direction: column;
  max-height: 80%;
  padding: 10px;
  border-radius: 10px;
  background-color: gray;
}

.emote .image-content img {
  width: 250px;
  height: relative;
  border-radius: 10px;
  object-fit: cover;
}

.emotes-container .liking-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.liking-container button {
  height: 60px;
  font-size: 18px;
  background-image: linear-gradient(135deg, #667eea 0%, #764ba2 100%);
  background-size: 200% 200%;
  animation: gradient-animation 4s ease infinite;
}

/* Effects */
.all-emotes-container .liking {
  animation: hit-bounce 1s ease;
}

@keyframes shake {
  10%,
  90% {
    transform: translate3d(-1px, 0, 0);
  }

  20%,
  80% {
    transform: translate3d(2px, 0, 0);
  }

  30%,
  50%,
  70% {
    transform: translate3d(-4px, 0, 0);
  }

  40%,
  60% {
    transform: translate3d(4px, 0, 0);
  }
}

@keyframes hit-bounce {
  0% {
    transform: scale(1) translateY(0);
  }
  10% {
    transform: scale(1.2, 0.6);
  }
  30% {
    transform: scale(0.8, 1.1) translateY(-10px);
  }
  50% {
    transform: scale(1) translateY(0);
  }
  100% {
    transform: translateY(0);
  }
}

/* Toast */
#toast {
  visibility: hidden;
  max-width: 500px;
  height: 90px;
  margin: auto;
  background-color: gray;
  color: #fff;
  text-align: center;
  border-radius: 10px;
  position: fixed;
  z-index: 1;
  left: 0;
  right: 0;
  bottom: 30px;
  font-size: 17px;
  white-space: nowrap;
}

#toast #desc {
  display: flex;
  align-items: center;
  justify-content: center;
  color: #fff;
  font-size: 28px;
  font-weight: bold;
  height: 90px;
  overflow: hidden;
  white-space: nowrap;
}
#toast.show {
  visibility: visible;
  -webkit-animation: fadein 0.5s, expand 0.5s 0.5s, stay 3s 1s, shrink 0.5s 2s,
    fadeout 0.5s 2.5s;
  animation: fadein 0.5s, expand 0.5s 0.5s, stay 3s 1s, shrink 0.5s 4s,
    fadeout 0.5s 4.5s;
}
@-webkit-keyframes fadein {
  from {
    bottom: 0;
    opacity: 0;
  }
  to {
    bottom: 30px;
    opacity: 1;
  }
}
@keyframes fadein {
  from {
    bottom: 0;
    opacity: 0;
  }
  to {
    bottom: 30px;
    opacity: 1;
  }
}
@-webkit-keyframes expand {
  from {
    min-width: 50px;
  }
  to {
    min-width: 350px;
  }
}
@keyframes expand {
  from {
    min-width: 50px;
  }
  to {
    min-width: 350px;
  }
}
@-webkit-keyframes stay {
  from {
    min-width: 350px;
  }
  to {
    min-width: 350px;
  }
}
@keyframes stay {
  from {
    min-width: 350px;
  }
  to {
    min-width: 350px;
  }
}
@-webkit-keyframes shrink {
  from {
    min-width: 350px;
  }
  to {
    min-width: 50px;
  }
}
@keyframes shrink {
  from {
    min-width: 350px;
  }
  to {
    min-width: 50px;
  }
}
@-webkit-keyframes fadeout {
  from {
    bottom: 30px;
    opacity: 1;
  }
  to {
    bottom: 60px;
    opacity: 0;
  }
}
@keyframes fadeout {
  from {
    bottom: 30px;
    opacity: 1;
  }
  to {
    bottom: 60px;
    opacity: 0;
  }
}
